% DEMQCIF.M
% Convert a QCIF serquence into a .YUQ sequence.

nframes = 5; % No of output frames.
skip = 2;     % No of input frames to skip between output frames.

fid1 = fopen('c:\1ngk\email\qcif\suzieqc','r');
if fid1 < 0, error('Could not open input file'); end

fid2 = fopen('c:\1ngk\ic\suzie5.yuq','w');
if fid2 < 0, error('Could not open output file'); end

fprintf(1,'Converting %d frames to .YUQ:',nframes);
for i=1:nframes,
  qcif2yuq(fid1,fid2,skip);
  fprintf(1,'.');
end
fprintf(1,'done\n');

fclose(fid1);
fclose(fid2);

return;
