% Demo of Laplacian PDF statistics.

dx = 0.01;
x = [-10:dx:10]';
x0 = 1

p = (0.5/x0) * exp(-abs(x)/x0);
xmean = sum(p)*dx
xvar = sum(p .* x .* x)*dx

h = [];
nbit = [1:12]'-3;
  q = 2.^(-nbit);
  alpha = sinh(0.5*q/x0);
  r = exp(-q/x0);
  h0 = (sqrt(r) - 1) .* log(1 - sqrt(r)) / log(2);
  hh = (-2*alpha.*r./((1-r).^2)) .* ((1-r).*log(alpha) + log(r))/log(2);
  h = h0 + hh
plot(nbit,h)  

return
   
  
