echo off
% DEMO2.M
% I8 Coding Course - Lecture 1, Spectrum Demonstrations:

clear all
printon = input('Write print files (1=yes, 0=no):');

load lenna
X = X - 128; % Remove DC bias.
si = size(X);

if 1,

figure(1);
draw(X);
drawnow

% Show 2-D FFT of Lenna.
figure(2);
% Generate a half cosine window function in 1-D.
w1d = sin(([1:si(2)] - 0.5)*pi/si(2));
draw(log10(fftshift(abs(fft2(X .* (w1d.' * w1d))))));
drawnow
if printon,
  print -deps \1ngk\tex\i8coding\i8de2p2.eps
else
  pause
end

end
 
% Show variations in local 2-D spectra over Lenna. Use 32 x 32
% half-sine windowed spectra (no overlap).

blk = 32;
t = [1:blk]-1;

% Generate a half cosine window function in 2-D.
w1d = sin((t+0.5)*pi/blk);
w2d = w1d.' * w1d;

for col=1:blk:si(2),
  for row=1:blk:si(1),
    X(t+row,t+col) = fftshift(abs(fft2(w2d .* X(t+row,t+col))));
    X(row,t+col) = ones(1,blk);
    X(t+row,col) = ones(blk,1);
  end
end
figure(3);
draw(log10(X));
drawnow
if printon,
  print -deps \1ngk\tex\i8coding\i8de2p3.eps
end

% Redraw lenna with block boundaries shown.
load lenna
for col=1:blk:si(2),
  for row=1:blk:si(1),
    X(row,t+col) = ones(1,blk);
    X(t+row,col) = ones(blk,1);
  end
end
figure(1);
draw(X);
drawnow
if printon,
  print -deps \1ngk\tex\i8coding\i8de2p1.eps
end

return
 
