% Image Coding Lectures:
% Fig 2.3: Conversion from probability $p_i$ to entropy $h_i = -p_i \log_2 (p_i)$.

printon = input('Write print files (0=no, 1=yes):');

setfig(1)

p = ([1:1000]' - 0.5)/1000;

h = p .* (log(p) / (-log(2)));

plot(p,p,':c',p,h,'-y')
grid on
axis([0 1 0 0.60001]);

text(0.33,0.33,'p ','horiz','right','vert','bot');
text(0.73,0.33,' h','horiz','left','vert','bot');

xlabel('Probability of event (p)')
ylabel('Entropy (h)')
title('Relation between probability and entropy')

if printon==1,
  print -deps \1ngk\tex\i8coding\i8f2p3.eps
end
