function h = wav3(h0,h1)

% function h = wav3(h0,h1)
% Generate the 4 impulse responses of a 3-level wavelet tree
% in the columns of h(:,1:4).

h01 = conv(h0,upm(h1));
h00 = conv(h0,upm(h0));

h001 = conv(h0,upm(h01));
h000 = conv(h0,upm(h00));

nh = max(length(h000),length(h001)) + 2;

h = [extend(h1,nh) extend(h01,nh) extend(h001,nh) extend(h000,nh)];

return;
